package org.wso2.saxon;

import net.sf.saxon.s9api.*;

import javax.xml.transform.stream.StreamSource;
import java.io.File;
import java.io.IOException;

public class CopyNamespaceTest {
public static void main(String[] args) throws IOException, SaxonApiException {
    Processor processor = new Processor(false);
    XsltCompiler compiler = processor.newXsltCompiler();
    XsltExecutable stylesheet = compiler.compile(new StreamSource(new File("src/main/resources/sampleXSLT.xsl")));

    XdmNode source = processor.newDocumentBuilder().build(new StreamSource(new File("src/main/resources/input.xml")));

    Serializer out = processor.newSerializer(System.out);
    out.setOutputProperty(Serializer.Property.METHOD, "xml");
    out.setOutputProperty(Serializer.Property.INDENT, "yes");

    XsltTransformer transformer = stylesheet.load();
    transformer.setInitialContextNode(source);
    transformer.setDestination(out);
    transformer.transform();

    }
}
